# FdoISelect Class Reference

`#include <ISelect.h>`

Inheritance diagram for FdoISelect:

[legend]

List of all members.

## Detailed Description

The FdoISelect interface defines the Select command, which queries for features of a given class that match the specified criteria. Input to the select command includes the name of the class, the list of properties to be returned, and a filter. All but the class name is optional. If the list of properties to be returned is empty then all properties are returned. The filter may be specified either as text or as an expression tree (most likely produced by a query builder). The result of executing a select command is an FdoIFeatureReader reference (see "Reading Features"). If the feature provider supports locking, then the select command can optionally lock all of the features selected, via the ExecuteWithLock method (see "Locking Commands" for more information on locking features).

Definition at line 49 of file ISelect.h.

## Public Member Functions
virtual FDO_API FdoIFeatureReader * | Execute ()=0
| Executes the select command and returns a reference to an FdoIFeatureReader.
virtual FDO_API FdoIFeatureReader * | ExecuteWithLock ()=0
| Executes the select command and returns a reference to an IFeatureReader.
virtual FDO_API FdoILockConflictReader * | GetLockConflicts ()=0
| When executing the operation ExecuteWithLock lock conflicts may occur. Those lock conflicts are reported. The function GetLockConflicts returns a lock conflict reader providing access to the list of lock conflicts that occurred during the execution of the operation.
virtual FDO_API FdoLockStrategy | GetLockStrategy ()=0
| Gets the FdoLockStrategy value (see "Locking Commands").
virtual FDO_API FdoLockType | GetLockType ()=0
| Gets the FdoLockType value (see "Locking Commands").
virtual FDO_API void | SetLockStrategy (FdoLockStrategy value)=0
| Sets the FdoLockStrategy value (see "Locking Commands").
virtual FDO_API void | SetLockType (FdoLockType value)=0
| Sets the FdoLockType value (see "Locking Commands").
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- ISelect.h